%global rbname sary
Summary: sary extention for Ruby
Name: ruby-%{rbname}

%global momorel 4

Version: 1.2.0
Release: %{momorel}m%{?dist}
Group: Applications/Text
License: GPL
URL: http://sary.namazu.org/ruby/

%NoSource 0 http://sary.sourceforge.net/%{rbname}-ruby-%{version}.tar.gz c885abffea72f25cb0f6286770a78ac1
# Source0 :  %{rbname}-ruby-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: ruby >= 1.8.6-4m
BuildPreReq: ruby-devel >= 1.8.6-4m
BuildPreReq: sary-devel >= 1.2.0

%description
This package add sary methods for Ruby.

%prep
%setup -q -n sary-ruby-%{version}

%build
ruby extconf.rb
make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-   ,root,root)
%doc MANIFEST ChangeLog README* Reference* rsary.rb
%{ruby_sitearchdir}/sary.so

%changelog
* Mon Jun 18 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.2.0-4m)
- rebuild against ruby-1.8.6-4m

* Fri Jul 15 2005 Toru Hoshina <t@momonga-linux.org>
- (1.2.0-3m)
- /usr/lib/ruby

* Sat Apr 16 2005 Toru Hoshina <t@momonga-linux.org>
- (1.2.0-2m)
- revised spec. remove itself prior to build.

* Fri Apr 15 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.0-1m)
- update 1.2.0
- change Source0 URI
- change %setup

* Wed Aug  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.4.1-0.20031102.3m)
- rebuild against ruby-1.8.2

* Tue Jun 22 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.4.1-0.20031102.2m)
- really add and apply Patch0 (sorry...)

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.4.1-0.20031102.1m)
- use cvs version in http://www.digital-genes.com/~yatsu/prime/SRPMS/
- add patch0:ruby-sary-20031102-str2cstr.patch

* Sun Jun 13 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4-7m)
- no nosource0

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (0.4-6m)
- merge from ruby-1_8-branch.

* Sat Aug 02 2003 Kenta MURATA <muraken2@nifty.com>
- (0.4-5m)
- rebuild against ruby-1.8.0.

* Mon Mar  4 2002 OZAWA -Crouton- Sakuro <crouton@kondara.org>
- (0.4-4k)
- Should BuildPreReq: sary-devel.

* Fri Feb 22 2002 Toshiro HIKITA <toshi@sodan.org>
- (0.4-2k)
- 1st release.

